BK Rated 1 out of 5 stars

I use Firefox 4.0, and currently using Fasterfox Lite 3.9.6, and this is a very useful extension, doing everything it says, and well - but on updating to version 3.9.7 Firefox will not start, giving an exception, and I've had to remove 3.9.7 and install 3.9.6 with all versions up to 3.9.6 being fine.

This review is for a previous version of the add-on (3.9.7Lite).